help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: req-package


From: Edward Knyshov
Subject: Re: req-package
Date: Fri, 14 Aug 2015 05:14:29 +0000

In this case you should remove dependency from evil config.

On Fri, Aug 14, 2015, 12:25 AM Stefan Monnier <address@hidden>
wrote:

> > Here is how it will be rewritten with req-package
> >
> > (req-package recentf)
> >
> > (req-package evil
> >   :require recentf
> >   :config (progn  (evil-make-overriding-map recentf-dialog-mode-map
> 'motion)
> >                   (evil-set-initial-state 'recentf-dialog-mode 'motion)
> >                   (evil-ex-define-cmd "rfm[enu]" #'recentf-open-files)))
>
> But wouldn't that misbehave if you decide to stop using recentf (in
> which case you'd want to just comment out your (req-package recentf)
> without having to tweak the `evil' part).
>
>
>         Stefan
>


reply via email to

[Prev in Thread] Current Thread [Next in Thread]